<template>
    <form>
        <label for="username">Username:</label>
        <input type="text" v-model="username">
        <label for="password">Password:</label>
        <input type="password" v-model="password">
        <button @click="login()">LOGIN</button>
    </form>
</template>

<script>
import login from '@/service/login';
export default {
    name: 'PostList',
    data: () => {
        return {
            posts: [],
            username: null,
            password: null,
            error: null
        };
    },
    methods: {
        login: async function(){
            try {
                const user = {
                    username: this.username,
                    password: this.password
                }
                await login(user)
                await this.$router.push('Backoffice')
            } catch (error) {
                this.error = 'There is something wrong';
            }
        },
    }
}
</script>